# Hashable
<span class="source-link">[[Source]](src/collections/hashable.md#L1)</span>

Anything with a hash method is hashable.


```pony
interface ref Hashable
```

## Public Functions

### hash
<span class="source-link">[[Source]](src/collections/hashable.md#L5)</span>


```pony
fun box hash()
: USize val
```

#### Returns

* [USize](builtin-USize) val

---

